- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# StringDimensions Class Reference

Class StringDimensions maintains the relevant dimensions of a text string realized (i.e., drawn) in a given font face and font size. More...

`#include <stringDimensions.h>`

List of all members.

## Public Member Functions
| StringDimensions (double xAdv=0.0, double yMin=0.0, double yMax=0.0, double spacingFactor=1.2)
void | accrueXAdvance (const double xAdv)
| Sum up the individual x advances of each glyph:.
void | setYMin (const double yMin)
| Keep a running tab on the minimum y value (descent) from all glyphs:.
void | setYMax (const double yMax)
| Keep a running tab on the maximum y value (ascent) from all glyphs:.
const double | getXAdvance ()
const double | getYMin ()
const double | getYMax ()
const double | getLineSpacing ()
| Line spacing is just the maximum ascent minus the maximum descent multiplied by the line spacing factor:.
## Private Attributes
double | xadv
double | ymin
double | ymax
double | lineSpacingFactor

## Detailed Description

Class StringDimensions maintains the relevant dimensions of a text string realized (i.e., drawn) in a given font face and font size.

Used internally by LASi.

## Constructor & Destructor Documentation

StringDimensions::StringDimensions | ( | double | xAdv = `0.0`,
|  | double | yMin = `0.0`,
|  | double | yMax = `0.0`,
|  | double | spacingFactor = `1.2` |
| ) |  |  | `[inline]`

## Member Function Documentation

void StringDimensions::accrueXAdvance | ( | const double | xAdv | ) | `[inline]`

Sum up the individual x advances of each glyph:.

void StringDimensions::setYMin | ( | const double | yMin | ) | `[inline]`

Keep a running tab on the minimum y value (descent) from all glyphs:.

void StringDimensions::setYMax | ( | const double | yMax | ) | `[inline]`

Keep a running tab on the maximum y value (ascent) from all glyphs:.

const double StringDimensions::getXAdvance | ( |  | ) | `[inline]`

const double StringDimensions::getYMin | ( |  | ) | `[inline]`

const double StringDimensions::getYMax | ( |  | ) | `[inline]`

const double StringDimensions::getLineSpacing | ( |  | ) | `[inline]`

Line spacing is just the maximum ascent minus the maximum descent multiplied by the line spacing factor:.

## Member Data Documentation

double StringDimensions::xadv`[private]`

double StringDimensions::ymin`[private]`

double StringDimensions::ymax`[private]`

double StringDimensions::lineSpacingFactor`[private]`

The documentation for this class was generated from the following file:

- stringDimensions.h